# Amend API
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/transaction-apis/amend-api/index.md

Alert: If you are a Customer contracted with MTS EU or MTS UK, refer to the corresponding EU and UK specification inside the swagger file to ensure compliance with the relevant jurisdiction based Regulatory Technical Standards (either EU or UK) derived from the Revised Payment Services Directive (PSD2).

The Amend API allows Cross-Border Services customers to request amendments to a transaction receiver details before the transaction is paid or cancelled. You can update the receiver name, address, or phone number using either the Transaction ID or Transaction Reference.
Note:   

* This API is **optional** and available only to Cross-Border Services customers who have opted in for the **Payment API**.

When an amend request is processed, the system first freezes cash pickup. If the cash pickup freeze is successful, the system confirms that the amend request is accepted. If the amend request includes an update to the receiver name, the updated name is sent for compliance screening. If the compliance screening fails, the payment is rejected.
Note: Amend is supported only for cash pickup payments.

## Environment Domains {#environment-domains}

* Sandbox/MTF
* Sandbox-EU
* Sandbox-UK
* MTF-EU
* MTF-UK
* Production
* Production-EU
* Production-UK

```Sandbox/MTF
https://sandbox.api.mastercard.com/send/v1/partners/{partner_id}/crossborder/amends
```

```Sandbox-EU
https://sandbox.api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder/amends
```

```Sandbox-UK
https://sandbox.api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder/amends
```

```MTF-EU
https://mtf.api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder/amends
```

```MTF-UK
https://mtf.api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder/amends
```

```Production
https://api.mastercard.com/send/v1/partners/{partner_id}/crossborder/amends
```

```Production-EU
https://api.xbs.mastercard.eu/send/v1/partners/{partner-id}/crossborder/amends
```

```Production-UK
https://api.xbs.mastercard.uk/send/v1/partners/{partner-id}/crossborder/amends
```

Note: **Sandbox** and **MTF** environments share the same url but are differentiated by partner id.

## API {#api}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/cross_border-swagger.yaml)

### Amend API {#amend-api}


API Reference: `GET /send/v1/partners/{partner_id}/crossborder/amends`

* **Formats supported** : XML/ JSON   
* **HTTP Version**: 1.0/ 1.1
* **Required HTTP header parameters** :   
  content-type : Format of the inbound content being submitted. example: application/json   
  content-length: Length of the inbound content body in octets.   
  Accept: Format of the expected response must be provided in this header field. Example - application/json

## API Convention {#api-convention}

Take a look at the [API Conventions](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#api-conventions) for general guidelines.

## Payload Encryption {#payload-encryption}

All the request payload sent by you to Mastercard must be encrypted. And you will need to decrypt the payload sent by Mastercard.   

For more detailed information on payload **Encryption/ Decryption** , please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#transport-encryption)

## Next step {#next-step}

Proceed to [Amend API: Sandbox Testing](https://developer.mastercard.com/cross-border-services/documentation/testing/amend-api/index.md) to test the Amend API in the Sandbox environment.
